Skip to main content
GET
Get all activity logs

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://dev.flextell.ai/oauth/authorize
Token URL
https://dev.flextell.ai/oauth/token

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

The field to sort by.

Available options:
created_at,
event,
subject_type
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
event
enum<string> | null

Filter by event type.

Available options:
created,
updated,
deleted
subject_type
string | null

Filter by subject type.

Maximum string length: 255
subject_id
integer | null

Filter by subject ID.

Required range: x >= 1
causer
string | null

Filter by causer: literal "system" or a positive integer (e.g. user id).

Pattern: ^(system|[1-9]\d*)$
created_from
string<date-time> | null

Filter by start date.

created_until
string<date-time> | null

Filter by end date.

Response

Paginated set of ActivityLogResource

data
(ActivityLogResource · object | string[])[]
required
meta
object
required